org.apache.tools.ant.types.optional.depend

## Class ClassfileSet.ClassRoot

- java.lang.Object
- - org.apache.tools.ant.types.optional.depend.ClassfileSet.ClassRoot

- Enclosing class:
    ClassfileSet

      public static class ClassfileSet.ClassRoot
      extends java.lang.Object

  Inner class used to contain info about root classes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassfileSet.ClassRoot()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassname()` Get the name of the root class.
    `void` | `setClassname(java.lang.String name)` Set the root class name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassfileSet.ClassRoot

          public ClassfileSet.ClassRoot()

  - ### Method Detail

    - #### setClassname

          public void setClassname(java.lang.String name)

      Set the root class name.
      Parameters:
        `name` - the name of the root class.

    - #### getClassname

          public java.lang.String getClassname()

      Get the name of the root class.
      Returns:
        the name of the root class.